#!/bin/bash

###########################################################################
#
# MODULE:       GUI
# AUTHOR(S):    CacheGuard Development Team
# COPYRIGHT:    (C) 2009-2021 by CacheGuard Technologies Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###########################################################################

source functions

ntp-synchronise()
{
    execute-command "ntp update"

    echo "<div class='with-border' style='font-size:90%; font-style:italic;'>The NTP synchronisation has been requested. Please wait for the synchronisation.<br /><span class='shortcut-menu-item'><a href='time.${GUI_EXT_NAME}'>Synchronisation Check</a>.</span></div>"
}

check-cgi-security
LOG=/dev/null
verify-authentication
test ${?} -eq 0 || http-exit 1
set-user-cookie
echo-http-header
ntp-synchronise "${@}"
